Asymptote Club Account Manager: LDAP account manager, made for Asymptote Club https://account.asymptote.club/
ldap
made-for-asymptote
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

yarn.lock 30KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900
  1. # THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.
  2. # yarn lockfile v1
  3. "@types/accepts@*":
  4. version "1.3.5"
  5. resolved "https://registry.yarnpkg.com/@types/accepts/-/accepts-1.3.5.tgz#c34bec115cfc746e04fe5a059df4ce7e7b391575"
  6. dependencies:
  7. "@types/node" "*"
  8. "@types/body-parser@*":
  9. version "1.17.0"
  10. resolved "https://registry.yarnpkg.com/@types/body-parser/-/body-parser-1.17.0.tgz#9f5c9d9bd04bb54be32d5eb9fc0d8c974e6cf58c"
  11. dependencies:
  12. "@types/connect" "*"
  13. "@types/node" "*"
  14. "@types/bunyan@^1.8.4":
  15. version "1.8.4"
  16. resolved "https://registry.yarnpkg.com/@types/bunyan/-/bunyan-1.8.4.tgz#69c11adc7b50538d45fb68d9ae39d062b9432f38"
  17. dependencies:
  18. "@types/events" "*"
  19. "@types/node" "*"
  20. "@types/connect@*":
  21. version "3.4.32"
  22. resolved "https://registry.yarnpkg.com/@types/connect/-/connect-3.4.32.tgz#aa0e9616b9435ccad02bc52b5b454ffc2c70ba28"
  23. dependencies:
  24. "@types/node" "*"
  25. "@types/cookies@*":
  26. version "0.7.1"
  27. resolved "https://registry.yarnpkg.com/@types/cookies/-/cookies-0.7.1.tgz#f9f204bd6767d389eea3b87609e30c090c77a540"
  28. dependencies:
  29. "@types/connect" "*"
  30. "@types/express" "*"
  31. "@types/keygrip" "*"
  32. "@types/node" "*"
  33. "@types/debug@^0.0.30":
  34. version "0.0.30"
  35. resolved "https://registry.yarnpkg.com/@types/debug/-/debug-0.0.30.tgz#dc1e40f7af3b9c815013a7860e6252f6352a84df"
  36. "@types/events@*":
  37. version "1.2.0"
  38. resolved "https://registry.yarnpkg.com/@types/events/-/events-1.2.0.tgz#81a6731ce4df43619e5c8c945383b3e62a89ea86"
  39. "@types/express-serve-static-core@*":
  40. version "4.16.0"
  41. resolved "https://registry.yarnpkg.com/@types/express-serve-static-core/-/express-serve-static-core-4.16.0.tgz#fdfe777594ddc1fe8eb8eccce52e261b496e43e7"
  42. dependencies:
  43. "@types/events" "*"
  44. "@types/node" "*"
  45. "@types/range-parser" "*"
  46. "@types/express@*":
  47. version "4.16.0"
  48. resolved "https://registry.yarnpkg.com/@types/express/-/express-4.16.0.tgz#6d8bc42ccaa6f35cf29a2b7c3333cb47b5a32a19"
  49. dependencies:
  50. "@types/body-parser" "*"
  51. "@types/express-serve-static-core" "*"
  52. "@types/serve-static" "*"
  53. "@types/handlebars@^4.0.38":
  54. version "4.0.38"
  55. resolved "https://registry.yarnpkg.com/@types/handlebars/-/handlebars-4.0.38.tgz#d0ebec1934c0bba97f99a0cb703fe2ef8c4a662f"
  56. "@types/http-assert@*":
  57. version "1.3.0"
  58. resolved "https://registry.yarnpkg.com/@types/http-assert/-/http-assert-1.3.0.tgz#5e932606153da28e1d04f9043f4912cf61fd55dd"
  59. "@types/keygrip@*":
  60. version "1.0.1"
  61. resolved "https://registry.yarnpkg.com/@types/keygrip/-/keygrip-1.0.1.tgz#ff540462d2fb4d0a88441ceaf27d287b01c3d878"
  62. "@types/koa-bodyparser@^4.2.0":
  63. version "4.2.0"
  64. resolved "https://registry.yarnpkg.com/@types/koa-bodyparser/-/koa-bodyparser-4.2.0.tgz#04febc567f3d3dd40e3d1a0e095cdf7b07c4d7ce"
  65. dependencies:
  66. "@types/koa" "*"
  67. "@types/koa-compose@*":
  68. version "3.2.2"
  69. resolved "https://registry.yarnpkg.com/@types/koa-compose/-/koa-compose-3.2.2.tgz#dc106e000bbf92a3ac900f756df47344887ee847"
  70. "@types/koa-mount@^3.0.1":
  71. version "3.0.1"
  72. resolved "https://registry.yarnpkg.com/@types/koa-mount/-/koa-mount-3.0.1.tgz#2c068d1696b173c62c316158210c4316c4401f57"
  73. dependencies:
  74. "@types/koa" "*"
  75. "@types/koa-router@^7.0.28":
  76. version "7.0.28"
  77. resolved "https://registry.yarnpkg.com/@types/koa-router/-/koa-router-7.0.28.tgz#67487c862a831099aed8864a8996bfa7e989edc0"
  78. dependencies:
  79. "@types/koa" "*"
  80. "@types/koa-send@*":
  81. version "4.1.1"
  82. resolved "https://registry.yarnpkg.com/@types/koa-send/-/koa-send-4.1.1.tgz#88f57cbe0343c8204903f9096d8ff6b98ec3296f"
  83. dependencies:
  84. "@types/koa" "*"
  85. "@types/koa-session@^5.7.4":
  86. version "5.7.4"
  87. resolved "https://registry.yarnpkg.com/@types/koa-session/-/koa-session-5.7.4.tgz#39716bc04a76ae343e8772730dc871cb7cdebadf"
  88. dependencies:
  89. "@types/koa" "*"
  90. "@types/koa-static@^4.0.0":
  91. version "4.0.0"
  92. resolved "https://registry.yarnpkg.com/@types/koa-static/-/koa-static-4.0.0.tgz#4cddce6adf45221bacfb2842b3621dc92f4d642c"
  93. dependencies:
  94. "@types/koa" "*"
  95. "@types/koa-send" "*"
  96. "@types/koa@*", "@types/koa@^2.0.46":
  97. version "2.0.46"
  98. resolved "https://registry.yarnpkg.com/@types/koa/-/koa-2.0.46.tgz#24bc3cd405d10fcde81f876cd8285b44d4ddc3e9"
  99. dependencies:
  100. "@types/accepts" "*"
  101. "@types/cookies" "*"
  102. "@types/events" "*"
  103. "@types/http-assert" "*"
  104. "@types/keygrip" "*"
  105. "@types/koa-compose" "*"
  106. "@types/node" "*"
  107. "@types/ldapjs@^1.0.3":
  108. version "1.0.3"
  109. resolved "https://registry.yarnpkg.com/@types/ldapjs/-/ldapjs-1.0.3.tgz#eb2acbe603845136196dd25fba77e476d6d7db56"
  110. dependencies:
  111. "@types/events" "*"
  112. "@types/node" "*"
  113. "@types/mime@*":
  114. version "2.0.0"
  115. resolved "https://registry.yarnpkg.com/@types/mime/-/mime-2.0.0.tgz#5a7306e367c539b9f6543499de8dd519fac37a8b"
  116. "@types/node@*":
  117. version "10.3.2"
  118. resolved "https://registry.yarnpkg.com/@types/node/-/node-10.3.2.tgz#3840ec6c12556fdda6e0e6d036df853101d732a4"
  119. "@types/range-parser@*":
  120. version "1.2.2"
  121. resolved "https://registry.yarnpkg.com/@types/range-parser/-/range-parser-1.2.2.tgz#fa8e1ad1d474688a757140c91de6dace6f4abc8d"
  122. "@types/serve-static@*":
  123. version "1.13.2"
  124. resolved "https://registry.yarnpkg.com/@types/serve-static/-/serve-static-1.13.2.tgz#f5ac4d7a6420a99a6a45af4719f4dcd8cd907a48"
  125. dependencies:
  126. "@types/express-serve-static-core" "*"
  127. "@types/mime" "*"
  128. accepts@^1.2.2:
  129. version "1.3.5"
  130. resolved "https://registry.yarnpkg.com/accepts/-/accepts-1.3.5.tgz#eb777df6011723a3b14e8a72c0805c8e86746bd2"
  131. dependencies:
  132. mime-types "~2.1.18"
  133. negotiator "0.6.1"
  134. align-text@^0.1.1, align-text@^0.1.3:
  135. version "0.1.4"
  136. resolved "https://registry.yarnpkg.com/align-text/-/align-text-0.1.4.tgz#0cd90a561093f35d0a99256c22b7069433fad117"
  137. dependencies:
  138. kind-of "^3.0.2"
  139. longest "^1.0.1"
  140. repeat-string "^1.5.2"
  141. amdefine@>=0.0.4:
  142. version "1.0.1"
  143. resolved "https://registry.yarnpkg.com/amdefine/-/amdefine-1.0.1.tgz#4a5282ac164729e93619bcfd3ad151f817ce91f5"
  144. any-promise@^0.1.0:
  145. version "0.1.0"
  146. resolved "https://registry.yarnpkg.com/any-promise/-/any-promise-0.1.0.tgz#830b680aa7e56f33451d4b049f3bd8044498ee27"
  147. any-promise@^1.0.0, any-promise@^1.1.0:
  148. version "1.3.0"
  149. resolved "https://registry.yarnpkg.com/any-promise/-/any-promise-1.3.0.tgz#abc6afeedcea52e809cdc0376aed3ce39635d17f"
  150. asn1@0.2.3:
  151. version "0.2.3"
  152. resolved "https://registry.yarnpkg.com/asn1/-/asn1-0.2.3.tgz#dac8787713c9966849fc8180777ebe9c1ddf3b86"
  153. assert-plus@0.1.5:
  154. version "0.1.5"
  155. resolved "https://registry.yarnpkg.com/assert-plus/-/assert-plus-0.1.5.tgz#ee74009413002d84cec7219c6ac811812e723160"
  156. assert-plus@^1.0.0:
  157. version "1.0.0"
  158. resolved "https://registry.yarnpkg.com/assert-plus/-/assert-plus-1.0.0.tgz#f12e0f3c5d77b0b1cdd9146942e4e96c1e4dd525"
  159. async@^1.4.0:
  160. version "1.5.2"
  161. resolved "https://registry.yarnpkg.com/async/-/async-1.5.2.tgz#ec6a61ae56480c0c3cb241c95618e20892f9672a"
  162. backoff@^2.5.0:
  163. version "2.5.0"
  164. resolved "https://registry.yarnpkg.com/backoff/-/backoff-2.5.0.tgz#f616eda9d3e4b66b8ca7fca79f695722c5f8e26f"
  165. dependencies:
  166. precond "0.2"
  167. balanced-match@^1.0.0:
  168. version "1.0.0"
  169. resolved "https://registry.yarnpkg.com/balanced-match/-/balanced-match-1.0.0.tgz#89b4d199ab2bee49de164ea02b89ce462d71b767"
  170. brace-expansion@^1.1.7:
  171. version "1.1.11"
  172. resolved "https://registry.yarnpkg.com/brace-expansion/-/brace-expansion-1.1.11.tgz#3c7fcbf529d87226f3d2f52b966ff5271eb441dd"
  173. dependencies:
  174. balanced-match "^1.0.0"
  175. concat-map "0.0.1"
  176. bunyan@^1.8.3:
  177. version "1.8.12"
  178. resolved "https://registry.yarnpkg.com/bunyan/-/bunyan-1.8.12.tgz#f150f0f6748abdd72aeae84f04403be2ef113797"
  179. optionalDependencies:
  180. dtrace-provider "~0.8"
  181. moment "^2.10.6"
  182. mv "~2"
  183. safe-json-stringify "~1"
  184. bytes@3.0.0:
  185. version "3.0.0"
  186. resolved "https://registry.yarnpkg.com/bytes/-/bytes-3.0.0.tgz#d32815404d689699f85a4ea4fa8755dd13a96048"
  187. camelcase@^1.0.2:
  188. version "1.2.1"
  189. resolved "https://registry.yarnpkg.com/camelcase/-/camelcase-1.2.1.tgz#9bb5304d2e0b56698b2c758b08a3eaa9daa58a39"
  190. center-align@^0.1.1:
  191. version "0.1.3"
  192. resolved "https://registry.yarnpkg.com/center-align/-/center-align-0.1.3.tgz#aa0d32629b6ee972200411cbd4461c907bc2b7ad"
  193. dependencies:
  194. align-text "^0.1.3"
  195. lazy-cache "^1.0.3"
  196. cliui@^2.1.0:
  197. version "2.1.0"
  198. resolved "https://registry.yarnpkg.com/cliui/-/cliui-2.1.0.tgz#4b475760ff80264c762c3a1719032e91c7fea0d1"
  199. dependencies:
  200. center-align "^0.1.1"
  201. right-align "^0.1.1"
  202. wordwrap "0.0.2"
  203. co-body@^6.0.0:
  204. version "6.0.0"
  205. resolved "https://registry.yarnpkg.com/co-body/-/co-body-6.0.0.tgz#965b9337d7f5655480787471f4237664820827e3"
  206. dependencies:
  207. inflation "^2.0.0"
  208. qs "^6.5.2"
  209. raw-body "^2.3.3"
  210. type-is "^1.6.16"
  211. co@^4.6.0:
  212. version "4.6.0"
  213. resolved "https://registry.yarnpkg.com/co/-/co-4.6.0.tgz#6ea6bdf3d853ae54ccb8e47bfa0bf3f9031fb184"
  214. concat-map@0.0.1:
  215. version "0.0.1"
  216. resolved "https://registry.yarnpkg.com/concat-map/-/concat-map-0.0.1.tgz#d8a96bd77fd68df7793a73036a3ba0d5405d477b"
  217. content-disposition@~0.5.0:
  218. version "0.5.2"
  219. resolved "https://registry.yarnpkg.com/content-disposition/-/content-disposition-0.5.2.tgz#0cf68bb9ddf5f2be7961c3a85178cb85dba78cb4"
  220. content-type@^1.0.0:
  221. version "1.0.4"
  222. resolved "https://registry.yarnpkg.com/content-type/-/content-type-1.0.4.tgz#e138cc75e040c727b1966fe5e5f8c9aee256fe3b"
  223. cookies@~0.7.0:
  224. version "0.7.1"
  225. resolved "https://registry.yarnpkg.com/cookies/-/cookies-0.7.1.tgz#7c8a615f5481c61ab9f16c833731bcb8f663b99b"
  226. dependencies:
  227. depd "~1.1.1"
  228. keygrip "~1.0.2"
  229. copy-to@^2.0.1:
  230. version "2.0.1"
  231. resolved "https://registry.yarnpkg.com/copy-to/-/copy-to-2.0.1.tgz#2680fbb8068a48d08656b6098092bdafc906f4a5"
  232. core-util-is@1.0.2, core-util-is@^1.0.2:
  233. version "1.0.2"
  234. resolved "https://registry.yarnpkg.com/core-util-is/-/core-util-is-1.0.2.tgz#b5fd54220aa2bc5ab57aab7140c940754503c1a7"
  235. crc@^3.4.4:
  236. version "3.5.0"
  237. resolved "https://registry.yarnpkg.com/crc/-/crc-3.5.0.tgz#98b8ba7d489665ba3979f59b21381374101a1964"
  238. crypt3@^1.0.0:
  239. version "1.0.0"
  240. resolved "https://registry.yarnpkg.com/crypt3/-/crypt3-1.0.0.tgz#8a658f1d16999b5505adc96cccd7bc683214befe"
  241. dependencies:
  242. nan "^2.1.0"
  243. optionalDependencies:
  244. q "^1.0.1"
  245. dashdash@^1.14.0:
  246. version "1.14.1"
  247. resolved "https://registry.yarnpkg.com/dashdash/-/dashdash-1.14.1.tgz#853cfa0f7cbe2fed5de20326b8dd581035f6e2f0"
  248. dependencies:
  249. assert-plus "^1.0.0"
  250. debug@*, debug@^3.1.0:
  251. version "3.1.0"
  252. resolved "https://registry.yarnpkg.com/debug/-/debug-3.1.0.tgz#5bb5a0672628b64149566ba16819e61518c67261"
  253. dependencies:
  254. ms "2.0.0"
  255. debug@^2.2.0, debug@^2.6.1, debug@^2.6.3:
  256. version "2.6.9"
  257. resolved "https://registry.yarnpkg.com/debug/-/debug-2.6.9.tgz#5d128515df134ff327e90a4c93f4e077a536341f"
  258. dependencies:
  259. ms "2.0.0"
  260. decamelize@^1.0.0:
  261. version "1.2.0"
  262. resolved "https://registry.yarnpkg.com/decamelize/-/decamelize-1.2.0.tgz#f6534d15148269b20352e7bee26f501f9a191290"
  263. deep-equal@~1.0.1:
  264. version "1.0.1"
  265. resolved "https://registry.yarnpkg.com/deep-equal/-/deep-equal-1.0.1.tgz#f5d260292b660e084eff4cdbc9f08ad3247448b5"
  266. delegates@^1.0.0:
  267. version "1.0.0"
  268. resolved "https://registry.yarnpkg.com/delegates/-/delegates-1.0.0.tgz#84c6e159b81904fdca59a0ef44cd870d31250f9a"
  269. depd@^1.1.0, depd@~1.1.1, depd@~1.1.2:
  270. version "1.1.2"
  271. resolved "https://registry.yarnpkg.com/depd/-/depd-1.1.2.tgz#9bcd52e14c097763e749b274c4346ed2e560b5a9"
  272. destroy@^1.0.3:
  273. version "1.0.4"
  274. resolved "https://registry.yarnpkg.com/destroy/-/destroy-1.0.4.tgz#978857442c44749e4206613e37946205826abd80"
  275. dtrace-provider@~0.8:
  276. version "0.8.7"
  277. resolved "https://registry.yarnpkg.com/dtrace-provider/-/dtrace-provider-0.8.7.tgz#dc939b4d3e0620cfe0c1cd803d0d2d7ed04ffd04"
  278. dependencies:
  279. nan "^2.10.0"
  280. ee-first@1.1.1:
  281. version "1.1.1"
  282. resolved "https://registry.yarnpkg.com/ee-first/-/ee-first-1.1.1.tgz#590c61156b0ae2f4f0255732a158b266bc56b21d"
  283. error-inject@~1.0.0:
  284. version "1.0.0"
  285. resolved "https://registry.yarnpkg.com/error-inject/-/error-inject-1.0.0.tgz#e2b3d91b54aed672f309d950d154850fa11d4f37"
  286. escape-html@~1.0.1:
  287. version "1.0.3"
  288. resolved "https://registry.yarnpkg.com/escape-html/-/escape-html-1.0.3.tgz#0258eae4d3d0c0974de1c169188ef0051d1d1988"
  289. extsprintf@1.2.0:
  290. version "1.2.0"
  291. resolved "https://registry.yarnpkg.com/extsprintf/-/extsprintf-1.2.0.tgz#5ad946c22f5b32ba7f8cd7426711c6e8a3fc2529"
  292. extsprintf@^1.2.0:
  293. version "1.4.0"
  294. resolved "https://registry.yarnpkg.com/extsprintf/-/extsprintf-1.4.0.tgz#e2689f8f356fad62cca65a3a91c5df5f9551692f"
  295. fresh@^0.5.2:
  296. version "0.5.2"
  297. resolved "https://registry.yarnpkg.com/fresh/-/fresh-0.5.2.tgz#3d8cadd90d976569fa835ab1f8e4b23a105605a7"
  298. glob@^6.0.1:
  299. version "6.0.4"
  300. resolved "https://registry.yarnpkg.com/glob/-/glob-6.0.4.tgz#0f08860f6a155127b2fadd4f9ce24b1aab6e4d22"
  301. dependencies:
  302. inflight "^1.0.4"
  303. inherits "2"
  304. minimatch "2 || 3"
  305. once "^1.3.0"
  306. path-is-absolute "^1.0.0"
  307. handlebars@^4.0.11:
  308. version "4.0.11"
  309. resolved "https://registry.yarnpkg.com/handlebars/-/handlebars-4.0.11.tgz#630a35dfe0294bc281edae6ffc5d329fc7982dcc"
  310. dependencies:
  311. async "^1.4.0"
  312. optimist "^0.6.1"
  313. source-map "^0.4.4"
  314. optionalDependencies:
  315. uglify-js "^2.6"
  316. has-flag@^3.0.0:
  317. version "3.0.0"
  318. resolved "https://registry.yarnpkg.com/has-flag/-/has-flag-3.0.0.tgz#b5d454dc2199ae225699f3467e5a07f3b955bafd"
  319. http-assert@^1.1.0:
  320. version "1.3.0"
  321. resolved "https://registry.yarnpkg.com/http-assert/-/http-assert-1.3.0.tgz#a31a5cf88c873ecbb5796907d4d6f132e8c01e4a"
  322. dependencies:
  323. deep-equal "~1.0.1"
  324. http-errors "~1.6.1"
  325. http-errors@1.6.3, http-errors@^1.2.8, http-errors@^1.3.1, http-errors@^1.6.1, http-errors@~1.6.1, http-errors@~1.6.2:
  326. version "1.6.3"
  327. resolved "https://registry.yarnpkg.com/http-errors/-/http-errors-1.6.3.tgz#8b55680bb4be283a0b5bf4ea2e38580be1d9320d"
  328. dependencies:
  329. depd "~1.1.2"
  330. inherits "2.0.3"
  331. setprototypeof "1.1.0"
  332. statuses ">= 1.4.0 < 2"
  333. iconv-lite@0.4.23:
  334. version "0.4.23"
  335. resolved "https://registry.yarnpkg.com/iconv-lite/-/iconv-lite-0.4.23.tgz#297871f63be507adcfbfca715d0cd0eed84e9a63"
  336. dependencies:
  337. safer-buffer ">= 2.1.2 < 3"
  338. inflation@^2.0.0:
  339. version "2.0.0"
  340. resolved "https://registry.yarnpkg.com/inflation/-/inflation-2.0.0.tgz#8b417e47c28f925a45133d914ca1fd389107f30f"
  341. inflight@^1.0.4:
  342. version "1.0.6"
  343. resolved "https://registry.yarnpkg.com/inflight/-/inflight-1.0.6.tgz#49bd6331d7d02d0c09bc910a1075ba8165b56df9"
  344. dependencies:
  345. once "^1.3.0"
  346. wrappy "1"
  347. inherits@2, inherits@2.0.3:
  348. version "2.0.3"
  349. resolved "https://registry.yarnpkg.com/inherits/-/inherits-2.0.3.tgz#633c2c83e3da42a502f52466022480f4208261de"
  350. is-buffer@^1.1.5:
  351. version "1.1.6"
  352. resolved "https://registry.yarnpkg.com/is-buffer/-/is-buffer-1.1.6.tgz#efaa2ea9daa0d7ab2ea13a97b2b8ad51fefbe8be"
  353. is-class@~0.0.4:
  354. version "0.0.5"
  355. resolved "https://registry.yarnpkg.com/is-class/-/is-class-0.0.5.tgz#220a8465d24f9a142082d06c7c56edb39052416d"
  356. is-generator-function@^1.0.3:
  357. version "1.0.7"
  358. resolved "https://registry.yarnpkg.com/is-generator-function/-/is-generator-function-1.0.7.tgz#d2132e529bb0000a7f80794d4bdf5cd5e5813522"
  359. is-type-of@^1.0.0:
  360. version "1.2.0"
  361. resolved "https://registry.yarnpkg.com/is-type-of/-/is-type-of-1.2.0.tgz#b553cbb4621adf5b4171e8883f370e7a6ec38995"
  362. dependencies:
  363. core-util-is "^1.0.2"
  364. is-class "~0.0.4"
  365. isstream "~0.1.2"
  366. isarray@0.0.1:
  367. version "0.0.1"
  368. resolved "https://registry.yarnpkg.com/isarray/-/isarray-0.0.1.tgz#8a18acfca9a8f4177e09abfc6038939b05d1eedf"
  369. isstream@~0.1.2:
  370. version "0.1.2"
  371. resolved "https://registry.yarnpkg.com/isstream/-/isstream-0.1.2.tgz#47e63f7af55afa6f92e1500e690eb8b8529c099a"
  372. keygrip@~1.0.2:
  373. version "1.0.2"
  374. resolved "https://registry.yarnpkg.com/keygrip/-/keygrip-1.0.2.tgz#ad3297c557069dea8bcfe7a4fa491b75c5ddeb91"
  375. kind-of@^3.0.2:
  376. version "3.2.2"
  377. resolved "https://registry.yarnpkg.com/kind-of/-/kind-of-3.2.2.tgz#31ea21a734bab9bbb0f32466d893aea51e4a3c64"
  378. dependencies:
  379. is-buffer "^1.1.5"
  380. koa-bodyparser@^4.2.1:
  381. version "4.2.1"
  382. resolved "https://registry.yarnpkg.com/koa-bodyparser/-/koa-bodyparser-4.2.1.tgz#4d7dacb5e6db1106649b595d9e5ccb158b6f3b29"
  383. dependencies:
  384. co-body "^6.0.0"
  385. copy-to "^2.0.1"
  386. koa-compose@^3.0.0, koa-compose@^3.2.1:
  387. version "3.2.1"
  388. resolved "https://registry.yarnpkg.com/koa-compose/-/koa-compose-3.2.1.tgz#a85ccb40b7d986d8e5a345b3a1ace8eabcf54de7"
  389. dependencies:
  390. any-promise "^1.1.0"
  391. koa-compose@^4.0.0:
  392. version "4.1.0"
  393. resolved "https://registry.yarnpkg.com/koa-compose/-/koa-compose-4.1.0.tgz#507306b9371901db41121c812e923d0d67d3e877"
  394. koa-convert@^1.2.0:
  395. version "1.2.0"
  396. resolved "https://registry.yarnpkg.com/koa-convert/-/koa-convert-1.2.0.tgz#da40875df49de0539098d1700b50820cebcd21d0"
  397. dependencies:
  398. co "^4.6.0"
  399. koa-compose "^3.0.0"
  400. koa-is-json@^1.0.0:
  401. version "1.0.0"
  402. resolved "https://registry.yarnpkg.com/koa-is-json/-/koa-is-json-1.0.0.tgz#273c07edcdcb8df6a2c1ab7d59ee76491451ec14"
  403. koa-mount@^3.0.0:
  404. version "3.0.0"
  405. resolved "https://registry.yarnpkg.com/koa-mount/-/koa-mount-3.0.0.tgz#08cab3b83d31442ed8b7e75c54b1abeb922ec197"
  406. dependencies:
  407. debug "^2.6.1"
  408. koa-compose "^3.2.1"
  409. koa-router@^7.4.0:
  410. version "7.4.0"
  411. resolved "https://registry.yarnpkg.com/koa-router/-/koa-router-7.4.0.tgz#aee1f7adc02d5cb31d7d67465c9eacc825e8c5e0"
  412. dependencies:
  413. debug "^3.1.0"
  414. http-errors "^1.3.1"
  415. koa-compose "^3.0.0"
  416. methods "^1.0.1"
  417. path-to-regexp "^1.1.1"
  418. urijs "^1.19.0"
  419. koa-send@^4.1.3:
  420. version "4.1.3"
  421. resolved "https://registry.yarnpkg.com/koa-send/-/koa-send-4.1.3.tgz#0822207bbf5253a414c8f1765ebc29fa41353cb6"
  422. dependencies:
  423. debug "^2.6.3"
  424. http-errors "^1.6.1"
  425. mz "^2.6.0"
  426. resolve-path "^1.4.0"
  427. koa-session@^5.8.1:
  428. version "5.8.1"
  429. resolved "https://registry.yarnpkg.com/koa-session/-/koa-session-5.8.1.tgz#f57b558a20e4da713cc2f96bfa67946bb4110548"
  430. dependencies:
  431. crc "^3.4.4"
  432. debug "^2.2.0"
  433. is-type-of "^1.0.0"
  434. pedding "^1.1.0"
  435. uid-safe "^2.1.3"
  436. koa-static@^4.0.3:
  437. version "4.0.3"
  438. resolved "https://registry.yarnpkg.com/koa-static/-/koa-static-4.0.3.tgz#5f93ad00fb1905db9ce46667c0e8bb7d22abfcd8"
  439. dependencies:
  440. debug "^3.1.0"
  441. koa-send "^4.1.3"
  442. koa@^2.5.1:
  443. version "2.5.1"
  444. resolved "https://registry.yarnpkg.com/koa/-/koa-2.5.1.tgz#79f8b95f8d72d04fe9a58a8da5ebd6d341103f9c"
  445. dependencies:
  446. accepts "^1.2.2"
  447. content-disposition "~0.5.0"
  448. content-type "^1.0.0"
  449. cookies "~0.7.0"
  450. debug "*"
  451. delegates "^1.0.0"
  452. depd "^1.1.0"
  453. destroy "^1.0.3"
  454. error-inject "~1.0.0"
  455. escape-html "~1.0.1"
  456. fresh "^0.5.2"
  457. http-assert "^1.1.0"
  458. http-errors "^1.2.8"
  459. is-generator-function "^1.0.3"
  460. koa-compose "^4.0.0"
  461. koa-convert "^1.2.0"
  462. koa-is-json "^1.0.0"
  463. mime-types "^2.0.7"
  464. on-finished "^2.1.0"
  465. only "0.0.2"
  466. parseurl "^1.3.0"
  467. statuses "^1.2.0"
  468. type-is "^1.5.5"
  469. vary "^1.0.0"
  470. lazy-cache@^1.0.3:
  471. version "1.0.4"
  472. resolved "https://registry.yarnpkg.com/lazy-cache/-/lazy-cache-1.0.4.tgz#a1d78fc3a50474cb80845d3b3b6e1da49a446e8e"
  473. ldap-filter@0.2.2:
  474. version "0.2.2"
  475. resolved "https://registry.yarnpkg.com/ldap-filter/-/ldap-filter-0.2.2.tgz#f2b842be0b86da3352798505b31ebcae590d77d0"
  476. dependencies:
  477. assert-plus "0.1.5"
  478. ldapjs@^1.0.0, ldapjs@^1.0.2:
  479. version "1.0.2"
  480. resolved "https://registry.yarnpkg.com/ldapjs/-/ldapjs-1.0.2.tgz#544ff7032b7b83c68f0701328d9297aa694340f9"
  481. dependencies:
  482. asn1 "0.2.3"
  483. assert-plus "^1.0.0"
  484. backoff "^2.5.0"
  485. bunyan "^1.8.3"
  486. dashdash "^1.14.0"
  487. ldap-filter "0.2.2"
  488. once "^1.4.0"
  489. vasync "^1.6.4"
  490. verror "^1.8.1"
  491. optionalDependencies:
  492. dtrace-provider "~0.8"
  493. longest@^1.0.1:
  494. version "1.0.1"
  495. resolved "https://registry.yarnpkg.com/longest/-/longest-1.0.1.tgz#30a0b2da38f73770e8294a0d22e6625ed77d0097"
  496. media-typer@0.3.0:
  497. version "0.3.0"
  498. resolved "https://registry.yarnpkg.com/media-typer/-/media-typer-0.3.0.tgz#8710d7af0aa626f8fffa1ce00168545263255748"
  499. methods@^1.0.1:
  500. version "1.1.2"
  501. resolved "https://registry.yarnpkg.com/methods/-/methods-1.1.2.tgz#5529a4d67654134edcc5266656835b0f851afcee"
  502. mime-db@~1.33.0:
  503. version "1.33.0"
  504. resolved "https://registry.yarnpkg.com/mime-db/-/mime-db-1.33.0.tgz#a3492050a5cb9b63450541e39d9788d2272783db"
  505. mime-types@^2.0.7, mime-types@~2.1.18:
  506. version "2.1.18"
  507. resolved "https://registry.yarnpkg.com/mime-types/-/mime-types-2.1.18.tgz#6f323f60a83d11146f831ff11fd66e2fe5503bb8"
  508. dependencies:
  509. mime-db "~1.33.0"
  510. "minimatch@2 || 3":
  511. version "3.0.4"
  512. resolved "https://registry.yarnpkg.com/minimatch/-/minimatch-3.0.4.tgz#5166e286457f03306064be5497e8dbb0c3d32083"
  513. dependencies:
  514. brace-expansion "^1.1.7"
  515. minimist@0.0.8:
  516. version "0.0.8"
  517. resolved "https://registry.yarnpkg.com/minimist/-/minimist-0.0.8.tgz#857fcabfc3397d2625b8228262e86aa7a011b05d"
  518. minimist@~0.0.1:
  519. version "0.0.10"
  520. resolved "https://registry.yarnpkg.com/minimist/-/minimist-0.0.10.tgz#de3f98543dbf96082be48ad1a0c7cda836301dcf"
  521. mkdirp@~0.5.1:
  522. version "0.5.1"
  523. resolved "https://registry.yarnpkg.com/mkdirp/-/mkdirp-0.5.1.tgz#30057438eac6cf7f8c4767f38648d6697d75c903"
  524. dependencies:
  525. minimist "0.0.8"
  526. moment@^2.10.6:
  527. version "2.22.2"
  528. resolved "https://registry.yarnpkg.com/moment/-/moment-2.22.2.tgz#3c257f9839fc0e93ff53149632239eb90783ff66"
  529. ms@2.0.0:
  530. version "2.0.0"
  531. resolved "https://registry.yarnpkg.com/ms/-/ms-2.0.0.tgz#5608aeadfc00be6c2901df5f9861788de0d597c8"
  532. mv@~2:
  533. version "2.1.1"
  534. resolved "https://registry.yarnpkg.com/mv/-/mv-2.1.1.tgz#ae6ce0d6f6d5e0a4f7d893798d03c1ea9559b6a2"
  535. dependencies:
  536. mkdirp "~0.5.1"
  537. ncp "~2.0.0"
  538. rimraf "~2.4.0"
  539. mz@^2.6.0:
  540. version "2.7.0"
  541. resolved "https://registry.yarnpkg.com/mz/-/mz-2.7.0.tgz#95008057a56cafadc2bc63dde7f9ff6955948e32"
  542. dependencies:
  543. any-promise "^1.0.0"
  544. object-assign "^4.0.1"
  545. thenify-all "^1.0.0"
  546. nan@^2.1.0, nan@^2.10.0:
  547. version "2.10.0"
  548. resolved "https://registry.yarnpkg.com/nan/-/nan-2.10.0.tgz#96d0cd610ebd58d4b4de9cc0c6828cda99c7548f"
  549. ncp@~2.0.0:
  550. version "2.0.0"
  551. resolved "https://registry.yarnpkg.com/ncp/-/ncp-2.0.0.tgz#195a21d6c46e361d2fb1281ba38b91e9df7bdbb3"
  552. negotiator@0.6.1:
  553. version "0.6.1"
  554. resolved "https://registry.yarnpkg.com/negotiator/-/negotiator-0.6.1.tgz#2b327184e8992101177b28563fb5e7102acd0ca9"
  555. object-assign@^4.0.1:
  556. version "4.1.1"
  557. resolved "https://registry.yarnpkg.com/object-assign/-/object-assign-4.1.1.tgz#2109adc7965887cfc05cbbd442cac8bfbb360863"
  558. on-finished@^2.1.0:
  559. version "2.3.0"
  560. resolved "https://registry.yarnpkg.com/on-finished/-/on-finished-2.3.0.tgz#20f1336481b083cd75337992a16971aa2d906947"
  561. dependencies:
  562. ee-first "1.1.1"
  563. once@^1.3.0, once@^1.4.0:
  564. version "1.4.0"
  565. resolved "https://registry.yarnpkg.com/once/-/once-1.4.0.tgz#583b1aa775961d4b113ac17d9c50baef9dd76bd1"
  566. dependencies:
  567. wrappy "1"
  568. only@0.0.2:
  569. version "0.0.2"
  570. resolved "https://registry.yarnpkg.com/only/-/only-0.0.2.tgz#2afde84d03e50b9a8edc444e30610a70295edfb4"
  571. optimist@^0.6.1:
  572. version "0.6.1"
  573. resolved "https://registry.yarnpkg.com/optimist/-/optimist-0.6.1.tgz#da3ea74686fa21a19a111c326e90eb15a0196686"
  574. dependencies:
  575. minimist "~0.0.1"
  576. wordwrap "~0.0.2"
  577. parseurl@^1.3.0:
  578. version "1.3.2"
  579. resolved "https://registry.yarnpkg.com/parseurl/-/parseurl-1.3.2.tgz#fc289d4ed8993119460c156253262cdc8de65bf3"
  580. path-is-absolute@1.0.1, path-is-absolute@^1.0.0:
  581. version "1.0.1"
  582. resolved "https://registry.yarnpkg.com/path-is-absolute/-/path-is-absolute-1.0.1.tgz#174b9268735534ffbc7ace6bf53a5a9e1b5c5f5f"
  583. path-to-regexp@^1.1.1:
  584. version "1.7.0"
  585. resolved "https://registry.yarnpkg.com/path-to-regexp/-/path-to-regexp-1.7.0.tgz#59fde0f435badacba103a84e9d3bc64e96b9937d"
  586. dependencies:
  587. isarray "0.0.1"
  588. pedding@^1.1.0:
  589. version "1.1.0"
  590. resolved "https://registry.yarnpkg.com/pedding/-/pedding-1.1.0.tgz#f7b138c288d4bd584eada1215f5bd924f1e1e667"
  591. precond@0.2:
  592. version "0.2.3"
  593. resolved "https://registry.yarnpkg.com/precond/-/precond-0.2.3.tgz#aa9591bcaa24923f1e0f4849d240f47efc1075ac"
  594. promised-ldap@^0.3.0:
  595. version "0.3.0"
  596. resolved "https://registry.yarnpkg.com/promised-ldap/-/promised-ldap-0.3.0.tgz#0347928367973809b245201f729f5768e8c1ebbe"
  597. dependencies:
  598. any-promise "^0.1.0"
  599. ldapjs "^1.0.0"
  600. q@^1.0.1:
  601. version "1.5.1"
  602. resolved "https://registry.yarnpkg.com/q/-/q-1.5.1.tgz#7e32f75b41381291d04611f1bf14109ac00651d7"
  603. qs@^6.5.2:
  604. version "6.5.2"
  605. resolved "https://registry.yarnpkg.com/qs/-/qs-6.5.2.tgz#cb3ae806e8740444584ef154ce8ee98d403f3e36"
  606. random-bytes@~1.0.0:
  607. version "1.0.0"
  608. resolved "https://registry.yarnpkg.com/random-bytes/-/random-bytes-1.0.0.tgz#4f68a1dc0ae58bd3fb95848c30324db75d64360b"
  609. raw-body@^2.3.3:
  610. version "2.3.3"
  611. resolved "https://registry.yarnpkg.com/raw-body/-/raw-body-2.3.3.tgz#1b324ece6b5706e153855bc1148c65bb7f6ea0c3"
  612. dependencies:
  613. bytes "3.0.0"
  614. http-errors "1.6.3"
  615. iconv-lite "0.4.23"
  616. unpipe "1.0.0"
  617. repeat-string@^1.5.2:
  618. version "1.6.1"
  619. resolved "https://registry.yarnpkg.com/repeat-string/-/repeat-string-1.6.1.tgz#8dcae470e1c88abc2d600fff4a776286da75e637"
  620. resolve-path@^1.4.0:
  621. version "1.4.0"
  622. resolved "https://registry.yarnpkg.com/resolve-path/-/resolve-path-1.4.0.tgz#c4bda9f5efb2fce65247873ab36bb4d834fe16f7"
  623. dependencies:
  624. http-errors "~1.6.2"
  625. path-is-absolute "1.0.1"
  626. right-align@^0.1.1:
  627. version "0.1.3"
  628. resolved "https://registry.yarnpkg.com/right-align/-/right-align-0.1.3.tgz#61339b722fe6a3515689210d24e14c96148613ef"
  629. dependencies:
  630. align-text "^0.1.1"
  631. rimraf@~2.4.0:
  632. version "2.4.5"
  633. resolved "https://registry.yarnpkg.com/rimraf/-/rimraf-2.4.5.tgz#ee710ce5d93a8fdb856fb5ea8ff0e2d75934b2da"
  634. dependencies:
  635. glob "^6.0.1"
  636. safe-json-stringify@~1:
  637. version "1.2.0"
  638. resolved "https://registry.yarnpkg.com/safe-json-stringify/-/safe-json-stringify-1.2.0.tgz#356e44bc98f1f93ce45df14bcd7c01cda86e0afd"
  639. "safer-buffer@>= 2.1.2 < 3":
  640. version "2.1.2"
  641. resolved "https://registry.yarnpkg.com/safer-buffer/-/safer-buffer-2.1.2.tgz#44fa161b0187b9549dd84bb91802f9bd8385cd6a"
  642. setprototypeof@1.1.0:
  643. version "1.1.0"
  644. resolved "https://registry.yarnpkg.com/setprototypeof/-/setprototypeof-1.1.0.tgz#d0bd85536887b6fe7c0d818cb962d9d91c54e656"
  645. source-map@^0.4.4:
  646. version "0.4.4"
  647. resolved "https://registry.yarnpkg.com/source-map/-/source-map-0.4.4.tgz#eba4f5da9c0dc999de68032d8b4f76173652036b"
  648. dependencies:
  649. amdefine ">=0.0.4"
  650. source-map@~0.5.1:
  651. version "0.5.7"
  652. resolved "https://registry.yarnpkg.com/source-map/-/source-map-0.5.7.tgz#8a039d2d1021d22d1ea14c80d8ea468ba2ef3fcc"
  653. "statuses@>= 1.4.0 < 2", statuses@^1.2.0:
  654. version "1.5.0"
  655. resolved "https://registry.yarnpkg.com/statuses/-/statuses-1.5.0.tgz#161c7dac177659fd9811f43771fa99381478628c"
  656. supports-color@^5.4.0:
  657. version "5.4.0"
  658. resolved "https://registry.yarnpkg.com/supports-color/-/supports-color-5.4.0.tgz#1c6b337402c2137605efe19f10fec390f6faab54"
  659. dependencies:
  660. has-flag "^3.0.0"
  661. thenify-all@^1.0.0:
  662. version "1.6.0"
  663. resolved "https://registry.yarnpkg.com/thenify-all/-/thenify-all-1.6.0.tgz#1a1918d402d8fc3f98fbf234db0bcc8cc10e9726"
  664. dependencies:
  665. thenify ">= 3.1.0 < 4"
  666. "thenify@>= 3.1.0 < 4":
  667. version "3.3.0"
  668. resolved "https://registry.yarnpkg.com/thenify/-/thenify-3.3.0.tgz#e69e38a1babe969b0108207978b9f62b88604839"
  669. dependencies:
  670. any-promise "^1.0.0"
  671. type-is@^1.5.5, type-is@^1.6.16:
  672. version "1.6.16"
  673. resolved "https://registry.yarnpkg.com/type-is/-/type-is-1.6.16.tgz#f89ce341541c672b25ee7ae3c73dee3b2be50194"
  674. dependencies:
  675. media-typer "0.3.0"
  676. mime-types "~2.1.18"
  677. typescript@^2.9.1:
  678. version "2.9.1"
  679. resolved "https://registry.yarnpkg.com/typescript/-/typescript-2.9.1.tgz#fdb19d2c67a15d11995fd15640e373e09ab09961"
  680. uglify-js@^2.6:
  681. version "2.8.29"
  682. resolved "https://registry.yarnpkg.com/uglify-js/-/uglify-js-2.8.29.tgz#29c5733148057bb4e1f75df35b7a9cb72e6a59dd"
  683. dependencies:
  684. source-map "~0.5.1"
  685. yargs "~3.10.0"
  686. optionalDependencies:
  687. uglify-to-browserify "~1.0.0"
  688. uglify-to-browserify@~1.0.0:
  689. version "1.0.2"
  690. resolved "https://registry.yarnpkg.com/uglify-to-browserify/-/uglify-to-browserify-1.0.2.tgz#6e0924d6bda6b5afe349e39a6d632850a0f882b7"
  691. uid-safe@^2.1.3:
  692. version "2.1.5"
  693. resolved "https://registry.yarnpkg.com/uid-safe/-/uid-safe-2.1.5.tgz#2b3d5c7240e8fc2e58f8aa269e5ee49c0857bd3a"
  694. dependencies:
  695. random-bytes "~1.0.0"
  696. unpipe@1.0.0:
  697. version "1.0.0"
  698. resolved "https://registry.yarnpkg.com/unpipe/-/unpipe-1.0.0.tgz#b2bf4ee8514aae6165b4817829d21b2ef49904ec"
  699. urijs@^1.19.0:
  700. version "1.19.1"
  701. resolved "https://registry.yarnpkg.com/urijs/-/urijs-1.19.1.tgz#5b0ff530c0cbde8386f6342235ba5ca6e995d25a"
  702. vary@^1.0.0:
  703. version "1.1.2"
  704. resolved "https://registry.yarnpkg.com/vary/-/vary-1.1.2.tgz#2299f02c6ded30d4a5961b0b9f74524a18f634fc"
  705. vasync@^1.6.4:
  706. version "1.6.4"
  707. resolved "https://registry.yarnpkg.com/vasync/-/vasync-1.6.4.tgz#dfe93616ad0e7ae801b332a9d88bfc5cdc8e1d1f"
  708. dependencies:
  709. verror "1.6.0"
  710. verror@1.6.0:
  711. version "1.6.0"
  712. resolved "https://registry.yarnpkg.com/verror/-/verror-1.6.0.tgz#7d13b27b1facc2e2da90405eb5ea6e5bdd252ea5"
  713. dependencies:
  714. extsprintf "1.2.0"
  715. verror@^1.8.1:
  716. version "1.10.0"
  717. resolved "https://registry.yarnpkg.com/verror/-/verror-1.10.0.tgz#3a105ca17053af55d6e270c1f8288682e18da400"
  718. dependencies:
  719. assert-plus "^1.0.0"
  720. core-util-is "1.0.2"
  721. extsprintf "^1.2.0"
  722. window-size@0.1.0:
  723. version "0.1.0"
  724. resolved "https://registry.yarnpkg.com/window-size/-/window-size-0.1.0.tgz#5438cd2ea93b202efa3a19fe8887aee7c94f9c9d"
  725. wordwrap@0.0.2:
  726. version "0.0.2"
  727. resolved "https://registry.yarnpkg.com/wordwrap/-/wordwrap-0.0.2.tgz#b79669bb42ecb409f83d583cad52ca17eaa1643f"
  728. wordwrap@~0.0.2:
  729. version "0.0.3"
  730. resolved "https://registry.yarnpkg.com/wordwrap/-/wordwrap-0.0.3.tgz#a3d5da6cd5c0bc0008d37234bbaf1bed63059107"
  731. wrappy@1:
  732. version "1.0.2"
  733. resolved "https://registry.yarnpkg.com/wrappy/-/wrappy-1.0.2.tgz#b5243d8f3ec1aa35f1364605bc0d1036e30ab69f"
  734. yargs@~3.10.0:
  735. version "3.10.0"
  736. resolved "https://registry.yarnpkg.com/yargs/-/yargs-3.10.0.tgz#f7ee7bd857dd7c1d2d38c0e74efbd681d1431fd1"
  737. dependencies:
  738. camelcase "^1.0.2"
  739. cliui "^2.1.0"
  740. decamelize "^1.0.0"
  741. window-size "0.1.0"